## Building from source

**Note:** Fetch submodules recursively (with `git submodule update --init --recursive`) before build.

The layer (`layer/`) depends on CMake, Meson and the Vulkan SDK.

Build and install with:
```shell
cd layer
meson build
ninja -C build
meson install -C build --skip-subprojects
```

---

The Wine extension (`layer/wine/`) additionally depends on a Wine installation and a MinGW toolchain.

Build with:

```shell
cd layer/wine
export LIBRARY_PATH="$PWD/../build/" # Required if the layer has not been installed globally
meson build-wine64 --cross cross-wine64.txt 
ninja -C build-wine64
meson build-mingw64 --cross cross-mingw64.txt
ninja -C build-mingw64
```

See install instructions for the locations to copy the files to.

---

The Unity mod can be built with .NET Core SDK.

```shell
cd layer/unity
dotnet build --configuration Release -p:UnityTarget=<TARGET> -p:UnityRuntime=<RUNTIME> LatencyFleX.csproj
```

`<TARGET>` is either `2018.1` or `2019.3`. `<RUNTIME>` is `Mono` or `IL2CPP`.

The combination `2018.1` and `IL2CPP` is currently unsupported due to lack of unhollowed DLLs. If you own such games,
you can overwrite the DLLs in `unhollowed` with the ones generated by your BepInEx installation to build this combination.